TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

UnitGroup ( fld^num K ) -> grp^abl, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Al | string |  | "Automatic" or "ClassGroup" or "ContFrac" or "Dirichlet" or "Mixed" or "Relation" or "Short"

### Description

<shortdoc> The unit group of an order or a number field. </shortdoc>

### Examples

x_k := NumberField(X^4+X^2-1); UnitGroup(x_k);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack